
@font-face {
    font-family: 'Pokemon';
    src: url('../fonts/Pokemon.ttf') format('truetype');
    font-style: normal;
    font-weight: normal;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background-image: url("../images/fondo1.jpg");
    max-height: 1000px;
}

ul{
    text-decoration: none;
    list-style: none;
}

.container{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.pokemon{
    font-family: 'Pokemon';
    font-size: 60px;
    letter-spacing: 7px;
    margin-top: 5px;
    color: #ffda00;
    text-shadow: 0 0 10px #002FFD;
}

.search{
    width: 500px;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.search input{
    height: 40px;
    width: 200px;
    text-indent: 20px;
    font-size: 16px;
    border: 2px solid rgba(6,6,247,0.5);
    box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.5);
    border-radius: 5px;
}

.search button{
    height: 50px;
    width: 50px;
    background-image: url("../images/pokeball.jpg");
    background-size: cover;
    cursor: pointer;
}

.card-image{
    width: 500px;
    height: 830px;
    border: 10px solid #ffda00;
    border-radius: 5px;
    margin: 30px 25px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    /*background: linear-gradient(328deg, rgba(28,28,29,0.8) 15%, rgba(139,142,149,0.6) 45%, rgba(255,255,255,1) 100%);*/
    background-image: url("../images/214.jpg");
    background-size: cover;
    border-radius: 10px;
}


.cardImg{
    width: 400px;
    height: 200px;
    border: 5px solid rgba(0, 0, 0, 1);
    background: radial-gradient(circle, rgba(249,249,251,1) 0%, rgba(6,6,247,1) 30%, rgba(240,241,245,1) 70%, rgba(238,15,0,1) 100%);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
}

.cardImg img{
    height: 100%;
}

.title{
    display: flex;
    flex-direction: row;
    margin-bottom: 10px;
    font-size: 22px;
    text-shadow: 0 0 5px #002FFD;
}

.title h1{
    width: 230px;
    margin-right: 15px;
    background: rgba(217,196,152,0.8);
    border: 3px inset rgba(217,196,152,0.8);
    border-radius: 119px 0px 119px 0px / 150px 0px 150px 0px;
    text-align: center;
}

.title h2{
    width: 100px;
    background: rgba(217,196,152,0.8);
    border: 3px inset rgba(217,196,152,0.8);
    border-radius: 119px 0px 119px 0px / 150px 0px 150px 0px;
    text-align: center;
}

.content-card{
    margin: 20px;
    color: #000;
    text-shadow: 0 0 5px #ffda00;
    font-weight: bolder;
}

.general{
    display: flex;
    flex-direction: row;
}

.dato{
    margin-right: 15px;
    margin-left: 15px;
    text-align: center;
}

.dato h3{
    font-size: 30px;
}

.dato p{
    font-size: 25px;
    text-align: center;
}

.stats,.abilities{
    margin-left: 15px;
    margin-right: 15px;
    margin-top: 15px;
}

.stats h3,.abilities h3{
    font-size: 30px;
    margin-bottom: 10px;
}

.stats ul,.abilities ul{
    font-size: 25px;
    margin-left: 20px;
}

.stats ul li,.abilities ul li{
    margin-bottom: 5px;
}

.stats ul li span{
    float: right;
}

@media (min-width:500px) and (max-width:600px){

    .pokemon{
        font-size: 55px;
        letter-spacing: 3px;
    }

    .card-image{
        width: 90%;
    }
    
}

@media (min-width:460px) and (max-width:499px){

    .pokemon{
        font-size: 40px;
        letter-spacing: 3px;
    }

    .card-image{
        width: 80%;
    }

    .cardImg{
        width: 90%;
    }
    
}

@media (min-width:490px) and (max-width:459px){

    .title h1{
        width: 200px;
    }

    .pokemon{
        font-size: 40px;
        letter-spacing: 3px;
    }

    .card-image{
        width: 80%;
    }

    .cardImg{
        width: 90%;
    }

}

@media (min-width:300px) and (max-width:489px){

    .title h1{
        width: 200px;
    }

    .pokemon{
        font-size: 40px;
        letter-spacing: 3px;
    }

    .card-image{
        width: 80%;
    }

    .cardImg{
        width: 90%;
    }

    .search{
        justify-content: center;
    }

    .search input{
        margin-right: 50px;
    }
    
}